Anonymous Login
2019-06-24 12:25 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001169v4.0 Release (Planning)Core Infrastructurepublic2016-12-29 10:16
ReporterKorkonius 
Assigned Tocaseydk 
PrioritynormalSeveritytweakReproducibilityalways
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0001169: E_STRICT warnings in PHP 5.4.4 from almost every single w2p class
DescriptionIf display errors is on and the server is running PHP 5.4 then w2p dumps an incredible amount of E_STRICT warnings... I'm not sure how this should be handled, but an effort should be made to address the warnings in the future...
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002614

caseydk (administrator)

Completely agreed and there are significantly less now than there were just a few months or even weeks ago. Since these are just Notices, it's unlikely many of them will be cleaned up before the v3.0 release.

~0003052

caseydk (administrator)

Most of these are now resolved.. most of the remaining ones come from the PEAR/Date library.

~0003483

caseydk (administrator)

I just did another review of this one. The vast majority are coming from our libraries instead of the core web2project classes. There's still some work to do but it's getting better.

~0003692

caseydk (administrator)

The only warning messages are from third party libraries (which we will eventually remove) or from our own deprecation warnings which we will steadily remove.

~0003817

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2012-08-01 02:36 Korkonius New Issue
2012-08-01 02:36 Korkonius File Added: w2p_bugreport_545strictwarnings.png
2012-08-02 16:34 caseydk Project v3.0 Release => v3.1 Release
2012-08-02 16:35 caseydk Note Added: 0002614
2013-11-21 22:15 caseydk Note Added: 0003052
2013-11-21 22:15 caseydk Status new => confirmed
2013-11-27 20:40 caseydk Project v3.1 Release => v3.2 Release
2014-01-21 17:58 caseydk Target Version => 3.2
2014-01-25 00:42 caseydk Category General => Core Infrastructure
2014-02-27 00:30 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-06-10 22:49 caseydk Target Version 3.2 => 4.0
2014-06-14 18:22 caseydk Note Added: 0003483
2014-10-12 18:00 caseydk Note Added: 0003692
2014-10-12 18:00 caseydk Status confirmed => resolved
2014-10-12 18:00 caseydk Fixed in Version => 4.0
2014-10-12 18:00 caseydk Resolution open => fixed
2014-10-12 18:00 caseydk Assigned To => caseydk
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003817
+Issue History